package app18b.util;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

public class ServiceLocator {

	private static ServiceLocator instance;
  private DataSource dataSource;
  
	static {
		instance = new ServiceLocator();
	}
	
	private ServiceLocator () {
	  Context context = null;   
  	    
	  try {
	  	context = new InitialContext();
	    dataSource = (DataSource) context.lookup("java:/comp/env/jdbc/myDataSource");
	  }
	  catch (NamingException e) {	
	    System.out.println(e.toString());
	  }
	}
	
	public static ServiceLocator getInstance() {
	    return instance;
	}
	
	public DataSource getDataSource() {
	    return dataSource;
	}
	
}
